curl --request GET \
--url https://gateway.prem.io/developers/api_keys/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://gateway.prem.io/developers/api_keys/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://gateway.prem.io/developers/api_keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"data": {
"id": "api_key_0197c0ec-a197-719f-84a9-99270a79b42a",
"secret": "sk_test_MDE5N2MwZWMt...GdwdA",
"scopes": [
"api_keys.read"
],
"ip_allow_list": [
"127.0.0.1",
"192.168.1.0/24"
],
"label": "My API Key",
"description": "Key for reading API Keys",
"expires_at": "2026-05-30 20:23:16",
"created_at": "2025-06-30 15:00:22",
"updated_at": "2025-07-01 10:30:45",
"metrics": {
"api_key_id": "api_key_0197c0ec-a197-719f-84a9-99270a79b42a",
"total_requests": 1250,
"last_used_at": "2025-07-01 09:15:30"
}
},
"error": null,
"log": null,
"validator": null,
"support_id": null,
"message": null,
"env": "development"
}{
"status": 400,
"error": "Some error message",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"support_id": "support_uuidv7-something-else",
"data": {},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
}
}{
"status": 401,
"error": "Some error message",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"support_id": "support_uuidv7-something-else",
"data": {},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
}
}{
"status": 403,
"error": "Some error message",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"support_id": "support_uuidv7-something-else",
"data": {},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
}
}{
"status": 404,
"error": "Some error message",
"message": null,
"env": "development",
"log": {
"request_id": "req_1234567890"
},
"support_id": "support_uuidv7-something-else",
"data": {},
"validator": {
"email": "Invalid email address",
"password": "Password is required"
}
}Get an API key
Get details of a specific API key by ID
Authorizations
Send your access token as header Authorization: Bearer {accessToken}
Your API key that starts with sk_live or sk_test. You can create yours at go.prem.io/api-keys.
Path Parameters
API Key ID
Response
Successful API key view response
Status code of the response
200, 201, 202 Response data containing the requested object
Show child attributes
Show child attributes
{ "id": "api_key_0197c0ec-a197-719f-84a9-99270a79b42a", "secret": "sk_test_MDE5N2MwZWMt...GdwdA", "scopes": ["api_keys.read"], "ip_allow_list": ["127.0.0.1"], "label": "My API Key", "description": "Key for reading API Keys", "expires_at": "2026-05-30 20:23:16", "created_at": "2025-06-30 15:05:47", "updated_at": null, "metrics": { "api_key_id": "api_key_0197c0ec-a197-719f-84a9-99270a79b42a", "total_requests": 150, "last_used_at": "2025-06-30 16:03:44" } }
Message of the response, human readable
"Resource created successfully"
API environment
development, production Error message of the response, human readable
"Invalid email address"
Useful informaiton, not always present, to debug the response
{ "request_id": "req_1234567890" }
"Some pertinent log message"
Validator response object, each key is the field name and value is the error message
{ "email": "Invalid email address", "password": "Password is required" }
Support ID linked to the response, used to identify it when talking with our team
"support_uuidv7-something-else"